summaryrefslogtreecommitdiffstats
path: root/build-gluster-org/scripts
diff options
context:
space:
mode:
authordkhandel <dkhandel@localhost.localdomain>2018-07-20 16:45:38 +0530
committerdkhandel <dkhandel@localhost.localdomain>2018-07-24 14:04:25 +0530
commitd3037d0a52faf8cc0bf351e5c6af34cc8b53e97e (patch)
tree37d4abe79e43ec35533f6bc64456e0bec18d238e /build-gluster-org/scripts
parent3dc83bee80b8a8e383894150e2ee408c7cde9402 (diff)
Compile the gluster code with GCC8 on Fedora
Change-Id: I64c6b79e9416a0e602426450996e96f1f9da300b Signed-off-by: Deepshikha Khandelwal <dkhandel@redhat.com>
Diffstat (limited to 'build-gluster-org/scripts')
-rw-r--r--build-gluster-org/scripts/fedora-smoke.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/build-gluster-org/scripts/fedora-smoke.sh b/build-gluster-org/scripts/fedora-smoke.sh
new file mode 100644
index 0000000..2c18ef8
--- /dev/null
+++ b/build-gluster-org/scripts/fedora-smoke.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+SRC=$(pwd);
+nproc=$(getconf _NPROCESSORS_ONLN)
+
+./autogen.sh;
+P=/build;
+rm -rf $P/scratch;
+mkdir -p $P/scratch;
+cd $P/scratch;
+rm -rf $P/install;
+$SRC/configure --prefix=$P/install --with-mountutildir=$P/install/sbin \
+ --with-initdir=$P/install/etc --localstatedir=/var \
+ --enable-bd-xlator=yes --enable-debug --enable-gnfs --silent
+make CFLAGS="-Wall -Werror -Wno-cpp" -j ${nproc};